/*
 *
 *   @(#) $Id: defines.h,v 1.5 1997/11/13 21:06:23 rweber Exp $
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 * Written by Robert Weber
 * Email:  Robert.Weber@mch.sbs.de
 *
 */


#ifdef HAVE_CONFIG_H
# include "config.h"
#endif /* ! HAVE_CONFIG_H */

#include <stdio.h>

#ifdef HAVE_STRINGS_H
# include <strings.h>
#endif /* ! HAVE_STRINGS_H */

#ifdef HAVE_FCNTL_H
#include <fcntl.h>
#endif /* ! HAVE_FCNTL_H */

#ifdef HAVE_DIRENT_H
# include <dirent.h>
#endif /* HAVE_DIRENT_H */

#ifdef HAVE_SYS_PARAM_H
# include <sys/param.h>
#endif /* ! HAVE_SYS_PARAM_H */

#ifdef HAVE_NETDB_H
# include <netdb.h>
#endif /* ! HAVE_NETDB_H */

#ifdef HAVE_SYS_STAT_H
# include <sys/stat.h>
#endif /* ! HAVE_SYS_STAT_H */

#ifdef HAVE_SYS_TYPES_H
# include <sys/types.h>
#endif /* !HAVE_SYS_TYPES_H */

#ifdef HAVE_SYS_SOCKET_H
# include <sys/socket.h>
#endif /* !HAVE_SYS_SOCKET_H */

#ifdef HAVE_NETINET_IN_H
# include <netinet/in.h>
#endif /* !HAVE_NETINET_IN_H */

#ifdef HAVE_ARPA_INET_H
# include <arpa/inet.h>
#endif /* !HAVE_ARPA_INET_H */

#ifdef HAVE_MALLOC_H
# include <malloc.h>
#endif

#include <xview/icon.h>
#include <xview/defaults.h>
#include <xview/xview.h>
#include <xview/frame.h>
#include <xview/panel.h>
#include <xview/notice.h>

#define MMSP_VERSION "0.6"
#define MAX_SOUNDS 2000
#define CFFILE ".mmspcf"
#define TITLE "Monster Marshmellow Sound Player"

struct base {
  Frame frame;
  Panel panel;
  Icon icon;
  Panel_item list;
  Panel_item volume;
  Panel_item choice;
  Server_image image;
  struct button {
    Xv_opaque done, play, stop, stopall, pause_resume, random;
  } *button;

} *base;
extern struct base *base;
